Interface RequestParameter
public interface RequestParameter
Request parameter holder
- Author:
- Francesco Guardiani @slinkydeveloper
-
Method Summary
Modifier and TypeMethodDescriptionstatic RequestParameterget()getFloat()Returns null if value is not aJsonObject, otherwise it returns valuegetLong()booleanbooleanisBuffer()booleanisEmpty()booleanbooleanbooleanisNull()booleanisNumber()booleanisString()
-
Method Details
-
getString
-
isString
boolean isString()- Returns:
- true if value of this instance is a
Stringinstance
-
getInteger
-
getLong
-
getFloat
-
getDouble
-
isNumber
boolean isNumber()- Returns:
- true if value of this instance is a
Numberinstance
-
getBoolean
-
isBoolean
boolean isBoolean()- Returns:
- true if value of this instance is a
Booleaninstance
-
getJsonObject
JsonObject getJsonObject()Returns null if value is not aJsonObject, otherwise it returns value- Returns:
-
isJsonObject
boolean isJsonObject()- Returns:
- true if value of this instance is a
JsonObjectinstance
-
getJsonArray
-
isJsonArray
boolean isJsonArray()- Returns:
- true if value of this instance is a
JsonArrayinstance
-
getBuffer
-
isBuffer
boolean isBuffer()- Returns:
- true if value of this instance is a
Bufferinstance
-
isNull
boolean isNull()- Returns:
- true if value is null
-
isEmpty
boolean isEmpty()- Returns:
- True if it's an empty string, an empty json object/array, an empty buffer or it's null
-
get
Object get()- Returns:
- the internal value. The internal value is always a valid Vert.x JSON type
-
create
-